Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.advisor
Interface AdviceTransform

All Superinterfaces
  AdvisletChainElement

All Known Implementing Classes:
  AbstractAdviceTransform, OutputListItemToInputTransform, OutputToInputTransform, ResultsToRulesInputTransform, RulesInputTransform

    public interface AdviceTransform

extends AdvisletChainElement

An AdviceTransform is the link between two Advislets in an advislet chain (as defined in the AdvisletRegistry). The AdviceTransform transforms the Advice results generated by one Advislet into the AdviceRequest entries required for the next.

An AdviceTransform represents a mapping of outputs from one Advislet invocation into inputs to a subsequent invocation.

A number of reusable AdviceTransform's are supplied.

Method Summary
`void` | `transform(Advice input, AdviceRequest output)` Transforms the given `Advice` that contains the input objects (may be null) into `AdviceRequest` to pass it to another `Advisor` in the advislet chain defined in the advislet registry.

Methods inherited from interface com.bea.p13n.advisor.AdvisletChainElement
`getMetadata, initialize`

Method Detail

### transform

    void transform(Advice input,
                   AdviceRequest output)
                   throws AdvisorException

  Transforms the given `Advice` that contains the input objects (may be null) into `AdviceRequest` to pass it to another `Advisor` in the advislet chain defined in the advislet registry.

  Parameters
    `input` - An `Advice` from which the parameters are extracted and transformed.
    `output` - An `AdviceRequest` that is prepared from the given `Advice`.
  Throws
    `AdvisorException` - If an error occurs during the transformation process.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved